Skip to content
ReadyZone Docs
API Reference

Username availability

Check ReadyZone username availability before purchase.

GET /api/sessions/check-username/{username}

Access : Public

Operator use case

Before checkout confirmation, avoid late failures by checking if username already exists.

Parameters

  • username (path, required, string)

The username must be URL-encoded. This checks a RADIUS/MikroTik identifier, not a ReadyZone account email.

Response body

{
  "available": true
}
AttributeTypeDescription
availablebooleantrue when the identifier can be used, otherwise false.

Status codes

  • 200 OK
  • 400 Bad Request

On this page